%%%%%%%%% MedStar Beamer Template %%%%%%%%%
%%%%%%%% Written By: Anagha Kumar %%%%%
%%%%%%%% License: lppl1.3  %%%%%%%%%%%%%%%%

% I wrote a beamer template for MedStar Health presentations. %% 
%% I've included sample presentations using both .tex files and .rnw files%%
%% The document class is obviously compatible with both
%% The advantage of the .rnw file is that it can be used with knitr such that you can weave your R code with your presentation %% 

\NeedsTeXFormat{LaTeX2e}
\ProvidesClass{medstarbeamer}
\LoadClassWithOptions{beamer}
\RequirePackage{anysize}
\RequirePackage{hyperref}
\RequirePackage{graphicx} 
\RequirePackage{pgf} 
\RequirePackage{xcolor}
\RequirePackage{booktabs}
\RequirePackage{soul}
\RequirePackage{background} 
\RequirePackage{cancel}
\RequirePackage{amsmath} 
\RequirePackage{enumerate}


\usetheme{CambridgeUS} % for an extensive list of themes, this is a useful website: http://deic.uab.es/~iblanes/beamer_gallery/index_by_theme.html %
\definecolor{citrine}{rgb}{0.89, 0.82, 0.04}
\definecolor{coolblack}{rgb}{0.0, 0.18, 0.39}

\usecolortheme{lily}
\setbeamercolor{frametitle}{fg=white, bg=coolblack}
\setbeamercolor{title}{fg=coolblack}
\setbeamercolor{subtitle}{fg=coolblack}
\setbeamercolor{palette primary}{fg=white, bg=coolblack} % controls the foreground and background colors for the strip at the bottom right 
\setbeamercolor{palette secondary}{fg=white, bg=coolblack} % controls the foreground and background colors for the bottom left strip and the second strip at the top
\setbeamercolor{palette tertiary}{fg=black, bg=citrine} %controls the foreground and background colors for the middle strip at the bottom and the top strip
\useoutertheme{miniframes}
\setbeamercolor{item}{fg=coolblack} %customizing the colors for the inner theme
\logo{\includegraphics[ height=1cm, width=2cm]{medstarlogo}} %the size of the logo to be included in every frame

\setbeamercovered{dynamic} %overlays appear faintly 
\setbeamertemplate{navigation symbols}{}  % since I dislike the navigation symbols
\setbeamertemplate{caption}[numbered] % since beamer does not number captions without setting this 
\setbeamercolor{caption}{fg=coolblack}
